Use detox to run tox in parallel
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>TOX_DIR</name>
73           <description>Path to directory containing tox.ini file.
74 </description>
75           <defaultValue/>
76         </hudson.model.StringParameterDefinition>
77         <hudson.model.StringParameterDefinition>
78           <name>TOX_ENVS</name>
79           <description>Tox environments to run build against.
80 Example: docs,py2,py3
81 </description>
82           <defaultValue/>
83         </hudson.model.StringParameterDefinition>
84       </parameterDefinitions>
85     </hudson.model.ParametersDefinitionProperty>
86   </properties>
87   <scm class="hudson.plugins.git.GitSCM">
88     <configVersion>2</configVersion>
89     <userRemoteConfigs>
90       <hudson.plugins.git.UserRemoteConfig>
91         <name>origin</name>
92         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
93         <url>git@github.com:example-org/releng/ciman</url>
94         <credentialsId>test-credential</credentialsId>
95       </hudson.plugins.git.UserRemoteConfig>
96     </userRemoteConfigs>
97     <branches>
98       <hudson.plugins.git.BranchSpec>
99         <name>$sha1</name>
100       </hudson.plugins.git.BranchSpec>
101     </branches>
102     <excludedUsers/>
103     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <authorOrCommitter>false</authorOrCommitter>
106     <wipeOutWorkspace>true</wipeOutWorkspace>
107     <pruneBranches>false</pruneBranches>
108     <remotePoll>false</remotePoll>
109     <gitTool>Default</gitTool>
110     <submoduleCfg class="list"/>
111     <relativeTargetDir/>
112     <reference/>
113     <gitConfigName/>
114     <gitConfigEmail/>
115     <skipTag>true</skipTag>
116     <scmName/>
117     <useShallowClone>false</useShallowClone>
118     <ignoreNotifyCommit>false</ignoreNotifyCommit>
119     <extensions>
120       <hudson.plugins.git.extensions.impl.SubmoduleOption>
121         <disableSubmodules>false</disableSubmodules>
122         <recursiveSubmodules>true</recursiveSubmodules>
123         <trackingSubmodules>false</trackingSubmodules>
124         <reference/>
125         <timeout>10</timeout>
126       </hudson.plugins.git.extensions.impl.SubmoduleOption>
127       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
128     </extensions>
129   </scm>
130   <triggers class="vector">
131     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
132       <spec/>
133       <adminlist/>
134       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
135       <whitelist/>
136       <orgslist/>
137       <cron/>
138       <triggerPhrase>^recheck$</triggerPhrase>
139       <onlyTriggerPhrase>false</onlyTriggerPhrase>
140       <useGitHubHooks>true</useGitHubHooks>
141       <permitAll>true</permitAll>
142       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
143       <extensions>
144         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145           <commitStatusContext>JJB Verify</commitStatusContext>
146         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
147       </extensions>
148     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
149   </triggers>
150   <builders>
151     <hudson.tasks.Shell>
152       <command>#!/bin/bash
153 # SPDX-License-Identifier: EPL-1.0
154 ##############################################################################
155 # Copyright (c) 2017 The Linux Foundation and others.
156 #
157 # All rights reserved. This program and the accompanying materials
158 # are made available under the terms of the Eclipse Public License v1.0
159 # which accompanies this distribution, and is available at
160 # http://www.eclipse.org/legal/epl-v10.html
161 ##############################################################################
162 echo &quot;---&gt; lftools-install.sh&quot;
163
164 # Script to install lftools via a version passed in via lf-infra-parameters
165 #
166 # Required parameters:
167 #
168 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
169 #                      set to a strict version number like '1.2.3' or using
170 #                      PEP-440 definitions.
171 #
172 #                      Examples:
173 #                          &lt;1.0.0
174 #                          &gt;=1.0.0,&lt;2.0.0
175 #
176 # By default a released version of lftools should always be used.
177 # The purpose of the 2 variables below is so that lftools devs can test
178 # unreleased versions of lftools. There are 2 methods to install a dev version
179 # of lftools:
180 #
181 #     1) gerrit patch: Used to test a patch that has not yet been merged.
182 #                      To do this set something like this:
183 #                          LFTOOLS_MODE=gerrit
184 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
185 #
186 #     2) git branch: Used to install an lftools version from a specific branch.
187 #                    To use this set the variables as follows:
188 #                          LFTOOLS_MODE=git
189 #                          LFTOOLS_REFSPEC=master
190 #
191 #     3) release : The intended use case and default setting.
192 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
193
194 LFTOOLS_MODE=release  # release | git | gerrit
195 LFTOOLS_REFSPEC=master
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv --quiet &quot;/tmp/v/lftools&quot;
202 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
203 source &quot;/tmp/v/lftools/bin/activate&quot;
204 pip install --quiet --upgrade pip
205
206 case $LFTOOLS_MODE in
207     gerrit)
208         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
209         pushd /tmp/lftools
210         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
211         git checkout FETCH_HEAD
212         pip install --quiet --upgrade -r requirements.txt
213         pip install --quiet --upgrade -e .
214         popd
215         ;;
216
217     git)
218         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
219         ;;
220
221     release)
222         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
223             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
224         fi
225
226         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
227         ;;
228 esac
229
230 lftools --version
231
232 # pipdeptree prints out a lot of information because lftools pulls in many
233 # dependencies. Let's only print it if we want to debug.
234 # echo &quot;----&gt; Pip Dependency Tree&quot;
235 # pip install --quiet --upgrade pipdeptree
236 # pipdeptree
237 </command>
238     </hudson.tasks.Shell>
239     <hudson.tasks.Shell>
240       <command>#!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2017 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; tox-install.sh&quot;
251
252 # Ensure we fail the job if any steps fail.
253 # DO NOT set -u as virtualenv's activate script has unbound variables
254 set -e -o pipefail
255
256 virtualenv --quiet &quot;/tmp/v/tox&quot;
257 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
258 source &quot;/tmp/v/tox/bin/activate&quot;
259 pip install --quiet --upgrade pip
260 pip install --quiet --upgrade pipdeptree
261 pip install --quiet --upgrade detox tox argparse
262
263 echo &quot;----&gt; Pip Dependency Tree&quot;
264 pipdeptree
265
266 #!/bin/bash
267 # SPDX-License-Identifier: EPL-1.0
268 ##############################################################################
269 # Copyright (c) 2017 The Linux Foundation and others.
270 #
271 # All rights reserved. This program and the accompanying materials
272 # are made available under the terms of the Eclipse Public License v1.0
273 # which accompanies this distribution, and is available at
274 # http://www.eclipse.org/legal/epl-v10.html
275 ##############################################################################
276 echo &quot;---&gt; tox-run.sh&quot;
277
278 # Ensure we fail the job if any steps fail.
279 # DO NOT set -u as virtualenv's activate script has unbound variables
280 set -e -o pipefail
281
282 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
283 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
284
285 cd &quot;$WORKSPACE/$TOX_DIR&quot;
286
287 if [ ! -z &quot;$TOX_ENVS&quot; ]; then
288     detox -e &quot;$TOX_ENVS&quot;  | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
289 else
290     detox | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
291 fi
292
293 # Disable SC2116 as we want to echo a space separated list of TOX_ENVS
294 # shellcheck disable=SC2116
295 for i in $(echo &quot;${TOX_ENVS//,/ }&quot;); do
296     cp -r &quot;.tox/$i/log&quot; &quot;$ARCHIVE_TOX_DIR/$i&quot;
297 done
298
299 echo &quot;Completed tox runs.&quot;
300 </command>
301     </hudson.tasks.Shell>
302   </builders>
303   <publishers>
304     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
305       <buildSteps>
306         <hudson.tasks.Shell>
307           <command>#!/bin/bash
308 # SPDX-License-Identifier: EPL-1.0
309 ##############################################################################
310 # Copyright (c) 2017 The Linux Foundation and others.
311 #
312 # All rights reserved. This program and the accompanying materials
313 # are made available under the terms of the Eclipse Public License v1.0
314 # which accompanies this distribution, and is available at
315 # http://www.eclipse.org/legal/epl-v10.html
316 ##############################################################################
317 echo &quot;---&gt; sysstat.sh&quot;
318 set +e  # DON'T fail build if script fails.
319
320 OS=$(facter operatingsystem)
321 case &quot;$OS&quot; in
322     Ubuntu)
323         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
324
325         # Dont run the script when systat is not enabled by default
326         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
327             exit 0
328         fi
329     ;;
330     CentOS|RedHat)
331         SYSSTAT_PATH=&quot;/var/log/sa&quot;
332     ;;
333     *)
334         # nothing to do
335         exit 0
336     ;;
337 esac
338
339 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
340 mkdir -p &quot;$SAR_DIR&quot;
341 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
342 # convert sar data to ascii format
343 while IFS=&quot;&quot; read -r sarfilenum
344 do
345     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
346 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
347
348 # DON'T fail build if script fails.
349 exit 0
350 </command>
351         </hudson.tasks.Shell>
352         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
353           <managedFiles>
354             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
355               <fileId>jenkins-log-archives-settings</fileId>
356               <targetLocation/>
357               <variable>SETTINGS_FILE</variable>
358             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
359           </managedFiles>
360         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
361         <EnvInjectBuilder>
362           <info>
363             <propertiesContent>SERVER_ID=logs</propertiesContent>
364           </info>
365         </EnvInjectBuilder>
366         <hudson.tasks.Shell>
367           <command>#!/bin/bash
368 # SPDX-License-Identifier: EPL-1.0
369 ##############################################################################
370 # Copyright (c) 2017 The Linux Foundation and others.
371 #
372 # All rights reserved. This program and the accompanying materials
373 # are made available under the terms of the Eclipse Public License v1.0
374 # which accompanies this distribution, and is available at
375 # http://www.eclipse.org/legal/epl-v10.html
376 ##############################################################################
377 echo &quot;---&gt; create-netrc.sh&quot;
378
379 # Ensure we fail the job if any steps fail.
380 set -eu -o pipefail
381
382 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
383 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
384     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
385     -v x:username -o &quot;:&quot; -v x:password \
386     &quot;$SETTINGS_FILE&quot;)
387
388 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
389 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
390 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
391
392 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
393 </command>
394         </hudson.tasks.Shell>
395         <hudson.tasks.Shell>
396           <command>#!/bin/bash
397 # SPDX-License-Identifier: EPL-1.0
398 ##############################################################################
399 # Copyright (c) 2017 The Linux Foundation and others.
400 #
401 # All rights reserved. This program and the accompanying materials
402 # are made available under the terms of the Eclipse Public License v1.0
403 # which accompanies this distribution, and is available at
404 # http://www.eclipse.org/legal/epl-v10.html
405 ##############################################################################
406 echo &quot;---&gt; lftools-install.sh&quot;
407
408 # Script to install lftools via a version passed in via lf-infra-parameters
409 #
410 # Required parameters:
411 #
412 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
413 #                      set to a strict version number like '1.2.3' or using
414 #                      PEP-440 definitions.
415 #
416 #                      Examples:
417 #                          &lt;1.0.0
418 #                          &gt;=1.0.0,&lt;2.0.0
419 #
420 # By default a released version of lftools should always be used.
421 # The purpose of the 2 variables below is so that lftools devs can test
422 # unreleased versions of lftools. There are 2 methods to install a dev version
423 # of lftools:
424 #
425 #     1) gerrit patch: Used to test a patch that has not yet been merged.
426 #                      To do this set something like this:
427 #                          LFTOOLS_MODE=gerrit
428 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
429 #
430 #     2) git branch: Used to install an lftools version from a specific branch.
431 #                    To use this set the variables as follows:
432 #                          LFTOOLS_MODE=git
433 #                          LFTOOLS_REFSPEC=master
434 #
435 #     3) release : The intended use case and default setting.
436 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
437
438 LFTOOLS_MODE=release  # release | git | gerrit
439 LFTOOLS_REFSPEC=master
440
441 # Ensure we fail the job if any steps fail.
442 # DO NOT set -u as virtualenv's activate script has unbound variables
443 set -e -o pipefail
444
445 virtualenv --quiet &quot;/tmp/v/lftools&quot;
446 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
447 source &quot;/tmp/v/lftools/bin/activate&quot;
448 pip install --quiet --upgrade pip
449
450 case $LFTOOLS_MODE in
451     gerrit)
452         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
453         pushd /tmp/lftools
454         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
455         git checkout FETCH_HEAD
456         pip install --quiet --upgrade -r requirements.txt
457         pip install --quiet --upgrade -e .
458         popd
459         ;;
460
461     git)
462         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
463         ;;
464
465     release)
466         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
467             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
468         fi
469
470         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
471         ;;
472 esac
473
474 lftools --version
475
476 # pipdeptree prints out a lot of information because lftools pulls in many
477 # dependencies. Let's only print it if we want to debug.
478 # echo &quot;----&gt; Pip Dependency Tree&quot;
479 # pip install --quiet --upgrade pipdeptree
480 # pipdeptree
481
482 #!/bin/bash
483 # SPDX-License-Identifier: EPL-1.0
484 ##############################################################################
485 # Copyright (c) 2017 The Linux Foundation and others.
486 #
487 # All rights reserved. This program and the accompanying materials
488 # are made available under the terms of the Eclipse Public License v1.0
489 # which accompanies this distribution, and is available at
490 # http://www.eclipse.org/legal/epl-v10.html
491 ##############################################################################
492 echo &quot;---&gt; logs-deploy.sh&quot;
493
494 # Ensure we fail the job if any steps fail.
495 set -eu -o pipefail
496
497 set -x  # Trace commands for this script to make debugging easier.
498
499 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
500 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
501
502 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
503 then
504     set +x # Disable trace since we no longer need it
505
506     echo &quot;WARNING: Logging server not set&quot;
507 else
508     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
509     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
510     BUILD_URL=&quot;${BUILD_URL}&quot;
511
512     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
513     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
514
515     set +x  # Disable trace since we no longer need it.
516
517     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
518 fi
519 </command>
520         </hudson.tasks.Shell>
521         <hudson.tasks.Shell>
522           <command>#!/bin/bash
523 # SPDX-License-Identifier: EPL-1.0
524 ##############################################################################
525 # Copyright (c) 2017 The Linux Foundation and others.
526 #
527 # All rights reserved. This program and the accompanying materials
528 # are made available under the terms of the Eclipse Public License v1.0
529 # which accompanies this distribution, and is available at
530 # http://www.eclipse.org/legal/epl-v10.html
531 ##############################################################################
532
533 # Clear log credential files
534 rm &quot;$SETTINGS_FILE&quot;
535 rm ~/.netrc
536 </command>
537         </hudson.tasks.Shell>
538         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
539           <regexp>^Build logs: .*</regexp>
540         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
541       </buildSteps>
542       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
543       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
544       <markBuildUnstable>false</markBuildUnstable>
545     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
546     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
547       <patterns>
548         <hudson.plugins.ws__cleanup.Pattern>
549           <pattern>**/*.jenkins-trigger</pattern>
550           <type>EXCLUDE</type>
551         </hudson.plugins.ws__cleanup.Pattern>
552       </patterns>
553       <deleteDirs>false</deleteDirs>
554       <cleanupMatrixParent>false</cleanupMatrixParent>
555       <externalDelete/>
556       <cleanWhenSuccess>true</cleanWhenSuccess>
557       <cleanWhenUnstable>true</cleanWhenUnstable>
558       <cleanWhenFailure>true</cleanWhenFailure>
559       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
560       <cleanWhenAborted>true</cleanWhenAborted>
561       <notFailBuild>true</notFailBuild>
562     </hudson.plugins.ws__cleanup.WsCleanup>
563   </publishers>
564   <buildWrappers>
565     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
566     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
567       <timeoutMinutes>10</timeoutMinutes>
568       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
569       <failBuild>true</failBuild>
570       <writingDescription>false</writingDescription>
571       <timeoutPercentage>0</timeoutPercentage>
572       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
573       <timeoutType>absolute</timeoutType>
574     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
575     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
576     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
577       <user>test-credential</user>
578     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
579     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
580     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
581       <managedFiles>
582         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
583           <fileId>npmrc</fileId>
584           <targetLocation>$HOME/.npmrc</targetLocation>
585           <variable/>
586         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
587       </managedFiles>
588     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
589   </buildWrappers>
590 </project>